From 4eb934f1a43baa9684a30ef330a2bc37504df173 Mon Sep 17 00:00:00 2001
From: Metztli Information Technology <jose@metztli.it>
Date: Sun, 20 Oct 2019 20:36:05 -0700
Subject: [PATCH] Ome (second) commit libguestfs-1.40.2, including
 gnulib/lib/fts.c, enabling reiser4

---
 appliance/packagelist.in | 1 +
 daemon/mkfs.c            | 5 +++--
 gnulib/lib/fts.c         | 4 +++-
 3 files changed, 7 insertions(+), 3 deletions(-)

diff --git a/appliance/packagelist.in b/appliance/packagelist.in
index 8d2e9d4..bb3a7a2 100644
--- a/appliance/packagelist.in
+++ b/appliance/packagelist.in
@@ -96,6 +96,7 @@ dnl iproute has been renamed to iproute2
   ntfs-3g
   openssh-client
   reiserfsprogs
+  reiser4progs              dnl Jose/Metztli IT added reiser4 10-20-2019
   sysvinit                  dnl for /sbin/reboot
   systemd                   dnl alternative for /sbin/reboot
   ufsutils
diff --git a/daemon/mkfs.c b/daemon/mkfs.c
index aa830dd..0335f17 100644
--- a/daemon/mkfs.c
+++ b/daemon/mkfs.c
@@ -80,9 +80,10 @@ do_mkfs (const char *fstype, const char *device, int blocksize,
    * mkfs.jfs is the same
    * mkfs.xfs must force to make xfs filesystem when the device already
    * has a filesystem on it
+   * Jose/Metztli IT added reiser4 10-20-2019
    */
-  if (STREQ (fstype, "reiserfs") || STREQ (fstype, "jfs") ||
-      STREQ (fstype, "xfs"))
+  if (STREQ (fstype, "reiserfs") || STREQ (fstype, "reiser4") ||
+      STREQ (fstype, "jfs") || STREQ (fstype, "xfs"))
     ADD_ARG (argv, i, "-f");
 
   /* For GFS, GFS2, assume a single node. */
diff --git a/gnulib/lib/fts.c b/gnulib/lib/fts.c
index 5e8e895..df4ce13 100644
--- a/gnulib/lib/fts.c
+++ b/gnulib/lib/fts.c
@@ -658,12 +658,13 @@ enum leaf_optimization
 
 # include <sys/vfs.h>
 
-/* Linux-specific constants from coreutils' src/fs.h */
+/* Linux-specific constants from coreutils' src/fs.h; Metztli IT added constant for reiser4 */
 # define S_MAGIC_AFS 0x5346414F
 # define S_MAGIC_CIFS 0xFF534D42
 # define S_MAGIC_NFS 0x6969
 # define S_MAGIC_PROC 0x9FA0
 # define S_MAGIC_REISERFS 0x52654973
+# define S_MAGIC_REISER4 0x52345362
 # define S_MAGIC_TMPFS 0x1021994
 # define S_MAGIC_XFS 0x58465342
 
@@ -796,6 +797,7 @@ leaf_optimization (FTSENT const *p, int dir_fd)
       /* List here the file system types that may lack usable dirent.d_type
          info, yet for which the optimization does apply.  */
     case S_MAGIC_REISERFS:
+    case S_MAGIC_REISER4: /* Jose/Metztli IT 10-20-2019 */
     case S_MAGIC_XFS: /* XFS lacked it until 2013-08-22 commit.  */
       return NOSTAT_LEAF_OPTIMIZATION;
 
-- 
2.20.1

